fairycat

Updated:
Created:

Ubuntu 安装 Composer

使用 apt 安装的composer版本比较低,则使用官方的方式安装。

下载安装脚本然后指定安装目录。

Updated:
Created:

Html5 的 setCustomValidity 需要刷新页面的原因

Html5 中丰富了表单的验证,当验证不通过的时候会出现相应的提示。而 setCustomValidity 可以自定义提示内容。使用该方法添加自定义内容后,当经过验证时需要清除自定义内容,否则该输入框一直处于错误状态。

使用不当的情况下,当输入错误内容,提示错误后,再输入正确的内容也不会通过验证。需要刷新页面才能继续使用。这就是对 setCustomValidity 理解错误的原因。